[package]
name = "egui-viewer"
version = "0.1.0"
edition = "2021"

[dependencies]
egui = "0.29"
eframe = { version = "0.29", default-features = false, features = [
    "default_fonts",
    "glow",
    "wayland",
    "x11",
] }
egui_extras = { version = "0.29", features = ["image", "syntect"] }
image = { version = "0.25", features = ["jpeg", "png", "gif", "webp", "bmp", "ico"] }
rfd = "0.15"

[profile.release]
opt-level = 3
lto = "thin"
